import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { GridModule } from '@syncfusion/ej2-angular-grids';
import { DialogModule } from '@syncfusion/ej2-angular-popups';
import { TabModule } from '@syncfusion/ej2-angular-navigations';
import { TimePickerModule } from '@syncfusion/ej2-angular-calendars';
import { TextBoxModule } from '@syncfusion/ej2-angular-inputs';
import { SidebarModule } from '@syncfusion/ej2-angular-navigations';
import { ToolbarModule } from '@syncfusion/ej2-angular-navigations';
import { AccordionModule } from '@syncfusion/ej2-angular-navigations';
import { DatePickerModule } from '@syncfusion/ej2-angular-calendars';
import { DateRangePickerModule } from '@syncfusion/ej2-angular-calendars';
import { DropDownButtonModule } from '@syncfusion/ej2-angular-splitbuttons';
import { MenuModule } from '@syncfusion/ej2-angular-navigations';
import { SwitchModule } from '@syncfusion/ej2-angular-buttons';
import { ToastModule} from '@syncfusion/ej2-angular-notifications';
import { RadioButtonModule } from '@syncfusion/ej2-angular-buttons';
import { SliderModule } from '@syncfusion/ej2-angular-inputs';
import { TreeMapModule, TreeMapLegendService, TreeMapTooltipService, TreeMapAllModule } from '@syncfusion/ej2-ng-treemap';
import { TreeViewModule } from '@syncfusion/ej2-angular-navigations';
//TextBoxModel

import { PageService, SortService, FilterService, GroupService ,SearchService,ToolbarService } from '@syncfusion/ej2-angular-grids';

@NgModule({
  declarations: [
    AppComponent 
  ],
  imports: [
     BrowserModule,
     FormsModule,
     ButtonModule,
     GridModule,
     TabModule ,
     TimePickerModule,
     DialogModule,
     TextBoxModule,
     FormsModule, ReactiveFormsModule,
     SidebarModule,
     ToolbarModule,
     AccordionModule,
     DatePickerModule,
     ToastModule,
     DateRangePickerModule ,
     DropDownButtonModule,
     MenuModule,
     SwitchModule,
     RadioButtonModule,
     SliderModule,
     TreeMapModule, TreeMapAllModule,
     TreeViewModule
  ],
  providers: [PageService,
    SortService,
    FilterService,
    SearchService ,
    ToolbarService ,
    GroupService,
    TreeMapLegendService, TreeMapTooltipService],
  bootstrap: [AppComponent]
})
export class AppModule { }
